<div class="reset-bg animated fadeIn">
    <div class="text-center">
        <h4>{{'lableResetPassword' | translate: lang}}</h4>
    </div>
    <div class="container">
        <div class="row mt-3 mb-3">
          <div class="col">
      <form [formGroup]="resetPasswordForm" (ngSubmit)="onSubmit()">
          <mat-form-field class="form-full-width" appearance="outline">
            <mat-label>{{ 'placeholderNewPassword' | translate:lang }}</mat-label>
            <input matInput [placeholder]="'placeholderNewPassword' | translate:lang" (keyup)="showPasswordRules()" type="password" formControlName="newPassword"
              (focusout)="hidePasswordRule()" required (input)="removeCurrentPassword()" />
            <span class="password-hint" *ngIf="passwordRule === true && resetPasswordForm.controls['newPassword'].invalid">
              <app-password-rule></app-password-rule>
            </span>
            <mat-hint *ngIf="(resetPasswordForm.controls['newPassword'].invalid && (resetPasswordForm.controls['newPassword'].dirty || resetPasswordForm.controls['newPassword'].touched))">
              <mat-error  *ngIf="resetPasswordForm.controls['newPassword'].errors.required">
                {{'errorRequired' | translate: lang}}
              </mat-error>
              <mat-error  *ngIf="resetPasswordForm.controls['newPassword'].errors.pattern">
                {{'errorPasswordCriteria' | translate: lang}}
              </mat-error>
            </mat-hint>
          </mat-form-field>
          <mat-form-field class="form-full-width" appearance="outline">
              <mat-label>{{ 'placeholderConfirmPassword' | translate:lang }}</mat-label>
            <input matInput validateEqual="newPassword" [placeholder]="'placeholderConfirmPassword' | translate:lang" type="password" formControlName="confirmPassword"
            required />
            <mat-hint *ngIf="(resetPasswordForm.controls['confirmPassword'].invalid && (resetPasswordForm.controls['confirmPassword'].dirty || resetPasswordForm.controls['confirmPassword'].touched))">
              <mat-error  *ngIf="resetPasswordForm.controls['confirmPassword'].errors.required">
                  {{'errorRequired' | translate: lang}}
              </mat-error>
              <mat-error  *ngIf="resetPasswordForm.controls['confirmPassword'].value.length > 0" [hidden]="resetPasswordForm.controls['confirmPassword'].valid || (resetPasswordForm.controls['confirmPassword'].pristine && !resetPasswordForm.controls['confirmPassword'].touched)">
                {{'errorPasswordMatch' | translate: lang}}
              </mat-error>
            </mat-hint>
          </mat-form-field>
          <div class="col-md-12 padding0px">
            <ngx-recaptcha2 #captchaElem *ngIf="isInBrowser"
            [siteKey]="siteKey"
            [size]="captchaSize"
            [hl]="captchaLanguage"
            [theme]="captchaTheme"
            [type]="captchaType"
            formControlName="isCaptchaVerified">
              </ngx-recaptcha2>
              <mat-hint *ngIf="(resetPasswordForm.controls['isCaptchaVerified'].invalid && (resetPasswordForm.controls['isCaptchaVerified'].dirty || resetPasswordForm.controls['isCaptchaVerified'].touched))">
                <mat-error  *ngIf="resetPasswordForm.controls['isCaptchaVerified'].errors.required">
                    {{'errorRequired' | translate: lang}}
                </mat-error>
              </mat-hint>
          </div>
          <mat-checkbox formControlName="tokenFlag" class="mt-2">{{'lableLogoutOtherDevice' | translate: lang}}</mat-checkbox><br>
          <button mat-raised-button [disabled]="!resetPasswordForm.valid" color="primary">{{'buttonUpdate' | translate: lang}}</button>
        </form>
    </div>
  </div>
  </div>
</div>
